From 18a6488576ced00cce25282346bd6fbb689287c8 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Wed, 11 Nov 2009 14:46:51 +0100
Subject: [PATCH] Include support for ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 bickley-arm.patch |   17 +++++++++++++++++
 bickley.spec      |    7 ++++++-
 2 files changed, 23 insertions(+), 1 deletions(-)
 create mode 100644 bickley-arm.patch

diff --git a/bickley-arm.patch b/bickley-arm.patch
new file mode 100644
index 0000000..25ec726
--- /dev/null
+++ b/bickley-arm.patch
@@ -0,0 +1,17 @@
+--- bickley-0.4.3.orig/src/bkl-investigator.c	2009-11-11 12:56:09.230021298 +0100
++++ bickley-0.4.3/src/bkl-investigator.c	2009-11-11 12:59:33.650014956 +0100
+@@ -71,6 +71,14 @@ static BklInvestigator *investigator = N
+ #elif defined (__powerpc__)
+ #  define HAVE_IO_PRIO
+ #  define __NR_ioprio_set 273
++#elif defined (__arm__)
++#  define HAVE_IO_PRIO
++#if defined(__thumb__) || defined(__ARM_EABI__)
++#define __NR_SYSCALL_BASE       0
++#else
++#define __NR_SYSCALL_BASE       __NR_OABI_SYSCALL_BASE
++#endif
++#define __NR_ioprio_set                 (__NR_SYSCALL_BASE+314)
+ #else
+ #  warning "Architecture does not support ioprio modification"
+ #endif
diff --git a/bickley.spec b/bickley.spec
index d0d6995..f14c5e3 100644
--- a/bickley.spec
+++ b/bickley.spec
@@ -1,6 +1,6 @@
 Name:           bickley
 Version:        0.4.3
-Release:        10%{?dist}
+Release:        10%{?dist}.fa1
 Summary:        A meta data management API and framework
 
 Group:          Applications/Multimedia
@@ -14,6 +14,7 @@ Patch1:         bickley-pkgconfig-fix64.patch
 Patch2:         bickley-license.patch
 # http://bugzilla.moblin.org/show_bug.cgi?id=6253
 Patch3:         0001-Port-to-gupnp-0.13.patch
+Patch4:		bickley-arm.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires: clutter-gst-devel
@@ -61,6 +62,7 @@ Files for development with %{name}.
 %patch1 -p1 -b .pkgconfig-fix64
 %patch2 -p1 -b .license
 %patch3 -p1 -b .gupnp
+%patch4 -p1 -b .arm
 
 # Don't run configure from autogen.sh
 sed -i '/configure/d' autogen.sh
@@ -129,6 +131,9 @@ gconftool-2 --makefile-install-rule \
 %{_libdir}/libkozo.so
 
 %changelog
+* Wed Nov 11 2009 Kedar Sovani <kedars@marvell.com> 
+- Include support for ARM
+
 * Fri Sep 18 2009 Bastien Nocera <bnocera@redhat.com> 0.4.3-10
 - Update gupnp 0.13 patch
 
-- 
1.5.5.6

